Package org.apache.uima.collection

# Interface EntityProcessStatus

All Superinterfaces:
  `Serializable`

public interface EntityProcessStatus extends Serializable
Contains information about the successful or unsuccessful processing of an entity (an element of a collection) by the `CollectionProcessingManager`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Exception>`
  `getExceptions()`
  Gets the List of Exceptions that occurred during processing of the Entity.
  `List<String>`
  `getFailedComponentNames()`
  Gets the name of the components in which Exceptions (if any) occurred.
  `ProcessTrace`
  `getProcessTrace()`
  Gets the `ProcessTrace` object for the Entity's processing.
  `String`
  `getStatusMessage()`
  Gets a message describing the status of the Entity's processing.
  `boolean`
  `isEntitySkipped()`
  Gets whether an entity has beed skipped during processing
  `boolean`
  `isException()`
  Gets whether an exception occurred.

- ## Method Details

  - ### isException

    boolean isException()
    Gets whether an exception occurred.
    Returns:
      true if an exception occurred, false if processing completely successfully with no exceptions.

  - ### getStatusMessage

    String getStatusMessage()
    Gets a message describing the status of the Entity's processing.
    Returns:
      the status message

  - ### getExceptions

    List<Exception> getExceptions()
    Gets the List of Exceptions that occurred during processing of the Entity.
    Returns:
      the List of Exceptions, `null` if none

  - ### getFailedComponentNames

    List<String> getFailedComponentNames()
    Gets the name of the components in which Exceptions (if any) occurred. These could be the Analysis Engine or one or more of the CasConsumers.
    Returns:
      the name of the components that failed, `null` if there was no failure

  - ### getProcessTrace

    ProcessTrace getProcessTrace()
    Gets the `ProcessTrace` object for the Entity's processing. The `ProcessTrace` object contains a record of each component involved in the processing and how much time that component took to complete its processing.
    Returns:
      the object containing trace and timing information for the Entity's processing.

  - ### isEntitySkipped

    boolean isEntitySkipped()
    Gets whether an entity has beed skipped during processing
    Returns:
      true if an entity was skipped, false otherwise